Skip to main content
GET
/
rest
/
v2
/
firm-position-limits
/
{firm_uuid}
Get Firm Position Limits
curl --request GET \
  --url https://api.exchange.fairx.net/rest/v2/firm-position-limits/{firm_uuid}
import requests

url = "https://api.exchange.fairx.net/rest/v2/firm-position-limits/{firm_uuid}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.exchange.fairx.net/rest/v2/firm-position-limits/{firm_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "firm_uuid": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
    "long_daily_limit": 1000000,
    "short_daily_limit": 500000,
    "long_weekend_limit": 1000000,
    "short_weekend_limit": 500000,
    "long_real_limit": 1000000,
    "short_real_limit": 500000,
    "weekend_margin_multiplier": 2,
    "timestamp": "2025-08-06T12:13:34Z"
  }
]

Path Parameters

firm_uuid
string
required

The UUID of the firm to get position limits for

Example:

"f81d4fae-7dec-11d0-a765-00a0c91e6bf6"

Response

Successfully retrieved firm position limits

firm_uuid
string
Example:

"f81d4fae-7dec-11d0-a765-00a0c91e6bf6"

long_daily_limit
integer<int32>
Example:

1000000

short_daily_limit
integer<int32>
Example:

500000

long_weekend_limit
integer<int32>
Example:

1000000

short_weekend_limit
integer<int32>
Example:

500000

long_real_limit
integer<int64>
Example:

1000000

short_real_limit
integer<int64>
Example:

500000

weekend_margin_multiplier
number<double>
Example:

2

source
enum<string>
Available options:
OVERRIDE,
CLEARING_HOUSE,
FCM
timestamp
string
Example:

"2025-08-06T12:13:34Z"